关闭

执行mvn 报错 source-7或source 1.5 中不支持 diamond运算符

819人阅读 评论(0) 收藏 举报
分类:

<build>
		<plugins> 
			<plugin> 
				<groupId>org.apache.maven.plugins</groupId> 
				<artifactId>maven-compiler-plugin</artifactId> 
				<configuration> 
					<source>1.7</source> 
					<target>1.7</target> 
				</configuration> 
			</plugin> 
		</plugins>
	</build>

在POM.XML中加入

 


================================================
原文:http://blog.csdn.net/cyjch/article/details/51558149
作者:超越
超越的主页:http://blog.csdn.net/cyjch
================================================

0
0
查看评论

-source 1.7 中不支持 lambda 表达式(请使用 -source 8 或更高版本以启用 lambda 表达式)

1.idea 的sdk,jdk也已经设置为了java1.8 2.本地jvm环境也是1.8还是这样后来发现是我的maven的配置的java环境不是1.8。选择idea使用的maven的配置文件打开H:\apache-maven-3.3.9-repository下的setting.xml,看到原来配置...
  • qwdafedv
  • qwdafedv
  • 2017-01-23 10:32
  • 6497

错误: -source 1.6 中不支持 diamond 运算符 (请使用 -source 7 或更高版本以启用 diamond 运算符)

今天晚上运行校长项目时,报错如下: Error:(71, 35) 错误: -source 1.6 中不支持 diamond 运算符(请使用 -source 7 或更高版本以启用 diamond 运算符) 这个错误对应程序里的代码是: 一般正确的写法是在声明的时候指定类型,也就是: List &...
  • Bossgirls
  • Bossgirls
  • 2015-01-08 23:41
  • 30046

Intellij IDEA 不支持 菱形(diamond) 运算符

Error:(22, 48) java: -source 1.6 中不支持 diamond 运算符   (请使用 -source 7 或更高版本以启用 diamond 运算符) 解决方式:File - Project Structure - Project - 选择 Proje...
  • michaelq12
  • michaelq12
  • 2015-01-25 14:23
  • 6039

mvn 请使用 -source 7 或更高版本以启用 diamond 运算符

mvn install -Dmaven.test.skip=true [INFO] Scanning for projects... Downloading: https://repo.maven.apache.org/maven2/org/apache/maven/wagon/wagon-p ro...
  • wind520
  • wind520
  • 2015-08-07 16:54
  • 23382

执行mvn 报错 source-1.5 中不支持 diamond运算符

错误解决方式: 指定Maven的版本,并且指定Maven使用的jdk版本 在pom.xml中修改 org.apache.maven.plugins maven-comp...
  • QH_JAVA
  • QH_JAVA
  • 2016-08-24 11:47
  • 10448

Maven install时抛出“1.5不支持diamond运算符,请使用source 7或更高版本以启用diamond运算符”

错误:在maven install是抛出 “1.5不支持diamond运算符,请使用source 7或更高版本以启用diamond运算符” Maven默认用的是JDK1.5去编译 diamond运算符,有的书翻译为菱形,有的书写的是钻石语法,指的是JDK1.7的一个新特性 List...
  • kingscoming
  • kingscoming
  • 2018-01-05 15:59
  • 88

1.5不支持diamond运算符,请使用source 7或更高版本以启用diamond运算符

参考链接:https://www.zhihu.com/question/56949122 maven打包总是不成功,模板类项目中加入模板类总是打包不成功,回来再找了同事,发下了这个问题,又在往上找下同意的问题,有大牛的答案是这样的 1. 直接在pom.xml中配置Maven的编译插...
  • liuxiangke0210
  • liuxiangke0210
  • 2017-09-01 18:06
  • 351

错误: -source 1.6 中不支持 diamond 运算符的解决办法

在取一段github代码时,发现说是支持jdk 7 ,但是使用MAVEN编译不过去。 报错信息为错误: -source 1.6 中不支持 diamond 运算符 我使用的环境是1.7  + intellij idea 解决思路: 1.检查ide的默认编译环境...
  • mingjie1212
  • mingjie1212
  • 2016-09-01 23:30
  • 12103

idea中无法编译maven项目 java:-source 1.5 中不支持 diamond 运算符

idea中导入一个开源的maven项目,报错: java:-source 1.5 中不支持 diamond 运算符。 file-->project structure-->中project sdk跟project language level都是1.8的,依然解决不了问题。 ...
  • iamlihongwei
  • iamlihongwei
  • 2017-06-09 12:02
  • 2255

中不支持 diamond 运算符

今天碰到一个编译问题,在jdk1.6下编译一直报错,1.7可以通过。 后来查了一下发现原来是 Map> rstMap = new HashMap map声明的时候没有指定HashMap的类型,1.7支持这种。 代码改成 Map> rstMap =...
  • u013275741
  • u013275741
  • 2014-02-26 11:25
  • 8277
    个人资料
    • 访问:151036次
    • 积分:3336
    • 等级:
    • 排名:第12008名
    • 原创:193篇
    • 转载:23篇
    • 译文:0篇
    • 评论:7条